EEVblog Electronics Community Forum

Electronics => General PCB/EDA/CAD Discussions => Eagle => Topic started by: legacy on January 23, 2017, 02:19:27 am

Title: EagleCAD can't open this library
Post by: legacy on January 23, 2017, 02:19:27 am
So, I was looking for XILINX CPLD components when I found this (http://www.diymodules.org/download/eagle-libs/usr/0000002221/files/XILINX.lbr) library.

Here I happen to have v6.6 installed on my MacOSX laptop.
But if I try to open the library I get the following error message:

Quote
Eagle for Mac OS X can't update file
'lbr/XILINX.lbr'
(data structure is older than version 4.11)

I have also tried EagleCAD v5.12, but it's still a no go  :wtf: :wtf: :wtf: ?
Title: Re: EagleCAD can't open this library
Post by: Karel on January 23, 2017, 02:45:29 am
Here it opens fine with V7.70 on Linux.

I could even save/convert it to the "new" xml format.

Title: Re: EagleCAD can't open this library
Post by: legacy on January 23, 2017, 02:53:37 am
Strange.

Quote
Easily Applicable Graphical Layout Editor
Version 6.4.0 for Mac OS X
Professional Edition
Copyright (c) 1988-2013 CadSoft
All rights reserved worldwide

This is the version I have on my Mac.

Can you save it for v6? I will give it a try.
(is it possible to attach the file here?)



Title: Re: EagleCAD can't open this library
Post by: Karel on January 23, 2017, 03:05:30 am
Here you go.
Title: Re: EagleCAD can't open this library
Post by: legacy on January 23, 2017, 03:13:52 am
Thanks :D
Title: Re: EagleCAD can't open this library
Post by: legacy on January 23, 2017, 03:15:05 am
Now it works Yahhoooooooooooooooooooooo

super thanks, dude  :-+ :-+ :-+ :-+